import requests, json, time
from loguru import logger

with open('.auth.json', 'rt') as f:
    auth = json.loads(f.read())

instance = 'fw.ponychord.rocks'
headers= {
        "Authorization": "Bearer " + auth.get('fw.ponychord.rocks')
}

def concatinate_endpoint(endpoint):
    return 'https://' + instance + endpoint

# [FunkWhale radios]
def get_radios():
    r = requests.get(f'https://{instance}/api/v1/radios/radios/', headers=headers)
    return r.json()


def post_radio_session(requested_radio):
    r = requests.post(f'https://{instance}/api/v1/radios/sessions/', json=requested_radio, headers=headers)
    return r.json()


def get_track_radio(radio_session):
    r = requests.post(f'https://{instance}/api/v1/radios/tracks/',json=radio_session, headers=headers)
    return r.json()


